tsig_rr_struct Struct Reference

`#include <tsig.h>`

## Data Fields

tsig_status | status
size_t | position
size_t | response_count
size_t | update_since_last_prepare
void * | context
tsig_algo_type * | algo
tsig_key_type * | key
size_t | prior_mac_size
uint8_t * | prior_mac_data
ldns_rdf * | key_name
ldns_rdf * | algo_name
uint16_t | signed_time_high
uint32_t | signed_time_low
uint16_t | signed_time_fudge
uint16_t | mac_size
uint8_t * | mac_data
uint16_t | original_query_id
uint16_t | error_code
uint16_t | other_size
uint8_t * | other_data

## Detailed Description

Definition at line 123 of file tsig.h.

## Field Documentation

## algo

tsig_algo_type* tsig_rr_struct::algo

Definition at line 129 of file tsig.h.

Referenced by tsig_rr_lookup(), tsig_rr_prepare(), tsig_rr_reset(), tsig_rr_sign(), tsig_rr_update(), and tsig_rr_verify().

## algo_name

ldns_rdf* tsig_rr_struct::algo_name

Definition at line 135 of file tsig.h.

Referenced by tsig_rr_append(), tsig_rr_create(), tsig_rr_free(), tsig_rr_lookup(), tsig_rr_parse(), and tsig_rr_reserved_space().

## context

void* tsig_rr_struct::context

Definition at line 128 of file tsig.h.

Referenced by tsig_rr_prepare(), tsig_rr_reset(), tsig_rr_sign(), tsig_rr_update(), and tsig_rr_verify().

## error_code

uint16_t tsig_rr_struct::error_code

Definition at line 142 of file tsig.h.

Referenced by query_add_optional(), tsig_rr_append(), tsig_rr_lookup(), tsig_rr_parse(), tsig_rr_reset(), and tsig_rr_verify().

## key

tsig_key_type* tsig_rr_struct::key

Definition at line 130 of file tsig.h.

Referenced by tsig_rr_lookup(), tsig_rr_prepare(), and tsig_rr_reset().

## key_name

ldns_rdf* tsig_rr_struct::key_name

Definition at line 134 of file tsig.h.

Referenced by tsig_rr_append(), tsig_rr_create(), tsig_rr_free(), tsig_rr_lookup(), tsig_rr_parse(), and tsig_rr_reserved_space().

## mac_data

uint8_t* tsig_rr_struct::mac_data

Definition at line 140 of file tsig.h.

Referenced by tsig_rr_append(), tsig_rr_create(), tsig_rr_error(), tsig_rr_free(), tsig_rr_parse(), tsig_rr_sign(), and tsig_rr_verify().

## mac_size

uint16_t tsig_rr_struct::mac_size

Definition at line 139 of file tsig.h.

Referenced by tsig_rr_append(), tsig_rr_error(), tsig_rr_parse(), tsig_rr_reset(), tsig_rr_sign(), and tsig_rr_verify().

## original_query_id

uint16_t tsig_rr_struct::original_query_id

Definition at line 141 of file tsig.h.

Referenced by tsig_rr_append(), tsig_rr_parse(), tsig_rr_reset(), and tsig_rr_update().

## other_data

uint8_t* tsig_rr_struct::other_data

Definition at line 144 of file tsig.h.

Referenced by tsig_rr_append(), tsig_rr_create(), tsig_rr_free(), tsig_rr_lookup(), and tsig_rr_parse().

## other_size

uint16_t tsig_rr_struct::other_size

Definition at line 143 of file tsig.h.

Referenced by tsig_rr_append(), tsig_rr_lookup(), tsig_rr_parse(), tsig_rr_reserved_space(), and tsig_rr_reset().

## position

size_t tsig_rr_struct::position

Definition at line 125 of file tsig.h.

Referenced by tsig_rr_parse(), and tsig_rr_reset().

## prior_mac_data

uint8_t* tsig_rr_struct::prior_mac_data

Definition at line 132 of file tsig.h.

Referenced by tsig_rr_prepare(), tsig_rr_reset(), tsig_rr_sign(), and tsig_rr_verify().

## prior_mac_size

size_t tsig_rr_struct::prior_mac_size

Definition at line 131 of file tsig.h.

Referenced by tsig_rr_lookup(), tsig_rr_prepare(), tsig_rr_reset(), tsig_rr_sign(), and tsig_rr_verify().

## response_count

size_t tsig_rr_struct::response_count

Definition at line 126 of file tsig.h.

Referenced by tsig_rr_lookup(), tsig_rr_reset(), tsig_rr_sign(), tsig_rr_update(), and tsig_rr_verify().

## signed_time_fudge

uint16_t tsig_rr_struct::signed_time_fudge

Definition at line 138 of file tsig.h.

Referenced by tsig_rr_append(), tsig_rr_lookup(), tsig_rr_parse(), tsig_rr_reset(), and tsig_rr_sign().

## signed_time_high

uint16_t tsig_rr_struct::signed_time_high

Definition at line 136 of file tsig.h.

Referenced by tsig_rr_append(), tsig_rr_lookup(), tsig_rr_parse(), tsig_rr_reset(), and tsig_rr_sign().

## signed_time_low

uint32_t tsig_rr_struct::signed_time_low

Definition at line 137 of file tsig.h.

Referenced by tsig_rr_append(), tsig_rr_lookup(), tsig_rr_parse(), tsig_rr_reset(), and tsig_rr_sign().

## status

tsig_status tsig_rr_struct::status

Definition at line 124 of file tsig.h.

Referenced by axfr(), ixfr(), query_add_optional(), query_process(), soa_request(), tsig_rr_find(), tsig_rr_lookup(), tsig_rr_parse(), tsig_rr_reserved_space(), and tsig_rr_reset().

## update_since_last_prepare

size_t tsig_rr_struct::update_since_last_prepare

Definition at line 127 of file tsig.h.

Referenced by axfr(), ixfr(), tsig_rr_prepare(), tsig_rr_reset(), and tsig_rr_update().

The documentation for this struct was generated from the following file:

- src/wire/tsig.h